Skip to content

Use the following endpoint to import an Imported Case from an E2B (R2) or E2B (R3) file containing one or more Individual Case Safety Reports (ICSRs):

POST/api/{version}/app/safety/intake/imported-case
NameDescription
Content-Typemultipart/form-data
NameDescription
fileThe filepath of the E2B file to be imported.
origin-organization(Optional) The Vault API Name for the Organization sending the E2B file. This parameter sets the Origin Organization on the Inbound Transmission. If no value is provided, the Origin Organization is left blank.
formatThe format of the file being imported. This must match the Vault API Name of the Inbound Transmission Format picklist value. Must be an E2B format or other__v. If other__v, the system does not attempt E2B import or forms processing and instead creates an empty Inbox Item linked to the source document.
organization(Optional) To specify which organization to send the Case to, enter the Vault API Name for the Organization record. If no value is provided, the Organization is set to vault_customer__v. Note that the Organization record type must be Sponsor.
curl --location --request POST 'https://myvault.veevavault.com/api/v25.2/app/safety/intake/imported-case' \ --header 'Authorization: {SESSION_ID}' \ --header 'Content-Type: multipart/form-data' \ --form 'file=@"/directory/cholecap_vaers_literature_case.xml"' \ --form 'format="e2br3__v"' \ --form 'organization="verteo_biopharma__c"' \ --form 'origin-organization="fda__v"'
{ "responseStatus": "SUCCESS", "url": "/api/v25.2/app/safety/intake/status?inbound_id=V29000000005001", "intake_id": "V29000000005001" }

On SUCCESS, the response includes the following information:

NameDescription
urlThe URL to retrieve the current status of the import request.
intake_idThe Inbound Transmission ID of the E2B import.

On FAILURE, the response returns a message describing the reason for the failure.